import Cookies from "js-cookie";

export function setAccessTokenCookie(access_token: string): void {
  Cookies.set("jwt_access", access_token);
  Cookies.set("jwt_access", access_token, { domain: ".sahkoinsinoorikilta.fi" });
}

export function setRefreshTokenCookie(refresh_token: string): void {
  Cookies.set("jwt_refresh", refresh_token);
  Cookies.set("jwt_refresh", refresh_token, { domain: ".sahkoinsinoorikilta.fi" });
}

export function getAccessTokenCookie(): string {
  return Cookies.get("jwt_access");
}

export function getRefreshTokenCookie(): string {
  return Cookies.get("jwt_refresh");
}

export function deleteTokenCookies(): void {
  Cookies.remove("jwt_access", { domain: ".sahkoinsinoorikilta.fi" });
  Cookies.remove("jwt_access");
  Cookies.remove("jwt_refresh", { domain: ".sahkoinsinoorikilta.fi" });
  Cookies.remove("jwt_refresh");
}
